Subject: RE: [seamoby] Reactive context transfer

From: "Hamid Syed" <[email-masked]>
Date: Fri, 15 Jun 2001 14:26:56 -0400

Hello Charlie,

I guess we need to understand the boundaries of context transfer and the
actual handover.

The first two options you listed are handover scenarios where the decision
is made where the mobile is going to handover. I am confused how does it
relates to context transfer? 

The predictive context transfer is the same as the proactive context
transfer where context is made available to the new AR before a handover of
occurs.

Your reactive context transfer definition is more like a "break-before-make"
scenario. I do not know how context could be useful if the transfer happens
after the handover completion. What will happen to the traffic which has
already been handed over to the AR and the context processing is not yet
done? particularly with the contexyt information that is calculated on a per
packet arrival basis. For example metering?. How metering context could be
useful if the meter value at the new AR has already passed. I believe the
reactive context transfer is also a make-before-break scenario with context
transfer and the handover should occur simulataneously. Ofcourse, context
has to reach the new AR before it becomes useless there. 

cheers

-Hamid

> -----Original Message-----
> From:	Charles E. Perkins [SMTP:[email-masked]]
> Sent:	Friday, June 15, 2001 1:01 PM
> To:	Kenward, Gary [WDLN2:AN10:EXCH]
> Cc:	'seamoby'
> Subject:	[seamoby] Reactive context transfer
> 
> 
> Hello Gary,
> 
> > Gary Kenward wrote:
> 
> >        .......                   We did discuss how CT was to be
> > initiated, and agreed that there would be no explicit signalling from
> > the MN (not at least as far as CT was concerned).
> 
> I would consider this as wholly unacceptable, except that in your
> next paragraph you state:
> 
> >   The definition of reactive CT (read the problem statement)has to do
> with
> > the order/timing of events, not with where the initiating event comes
> from.
> 
> So then I started to wonder about how one might define "reactive" to
> make the previous sentence come true.  But, the word "reactive" does
> not occur in draft-ietf-seamoby-context-transfer-problem-stat-01.txt.
> No help there.  I did find some redefinition of "reactive" in
> draft-hamid-seamoby-ct-fwk-00.txt, but that document was, I believe,
> not the result of design team discussions.  In fact, I have some
> other comments on the latter document, but for now I would just like
> to suggest that it should not be taken as relevant to the current
> discussion about reactive context transfers.
> 
> That puts me back to square one.  From that standpoint, I would like
> to suggest that the context transfer problem statement needs to
> very clearly define the following concepts:
> 
> - Network-initiated context transfer, for which the access network
>   tells the mobile where to go
> 
> - Mobile-initiated context transfer, for which the mobile tells the
>   network where it wants to go
> 
> - Predictive context transfer, for which either the mobile or the
>   network initiates context transfer BEFORE leaving the previous
>   access router
> 
> - Reactive context transfer, for which either the mobile or the network
>   initiates context transfer AFTER the mobile arrives (establishes
>   a link) at the new access router.
> 
> 
> I like the word "predictive" for several reasons:
> 
> - It has exactly the right meaning, and even connotes that caution
>   is necessary because not all predictions come true
> 
> - In contrast to some other alternatives one often hears, it is
>   a word that one can find in the dictionary.
> 
> Regards,
> Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 15 Jun 2001 12:00:30 -0700

Hello Hamid,

> Hamid Syed wrote:

> I guess we need to understand the boundaries of context transfer and the

Yes, in fact I believe that maybe the word "handover" needs precise
definition with respect to the process of context transfer (I was going
to say "in the context of ..." but that would be bad :-).

> The first two options you listed are handover scenarios where the decision is
> made where the mobile is going to handover. I am confused how does it relates
> to context transfer?

I can easily imagine four cases:
- Network initiated predictive context transfer
- Network initiated reactive context transfer
- Mobile initiated predictive context transfer
- Mobile initiated reactive context transfer

I am certain that all four cases can be handled by the same
context transfer protocol messages.

I am myself confused about how to answer your question, because it seems
clear to me that these terms are in fact relevant to context transfer.

> The predictive context transfer is the same as the proactive context transfer
> where context is made available to the new AR before a handover of occurs.

Agreed, except that I am suggesting the use of a different word.

> after the handover completion.

I can think of very many examples.  As one example, multicast group
membership MIGHT be established at the new access router AFTER the
basic handover.

But I also want to clearly distinguish betwen "reactive" and
"break-before-make".
These is not at all the same things.  The latter is pretty much confined
to discussion below layer-3, at least for connectionless protocols like IP.
The former only just has to do with when the context transfer can get
started.

Just as one example, of probably dozens, what if the context transfer
request started immediately after link-establishment in a make-before-break
system?  This could easily happen, and in cooperation with Mobile IP or
stateless address autoconfiguration it might reduce the amount of time
for the mobile node to get situated on the new network.

In fact, with make-before-break, maybe one would always want
to use reactive context transfer instead of predictive.
With make-before-break, there's nothing left to predict!

>                                  What will happen to the traffic which has
> already been handed over to the AR and the context processing is not yet done?
> particularly with the contexyt information that is calculated on a per packet
> arrival basis.

You probably have a specific case in mind, that I can't exactly guess at.
However, in general, the way that traffic is handled with incomplete context
transfer is going to be a problem, regardless of whether the transfer is
requested predictively or reactively.

>                   For example metering?. How metering context could be useful if
> the meter value at the new AR has already passed.

Here I am lost.  What does it mean for a meter value to be passed?

Why does it matter whether the new access router or the previous access
router is running the meter?

>                                                  I believe the reactive
> context transfer is also a make-before-break scenario with context transfer
> and the handover should occur simulataneously. Ofcourse, context has to reach
> the new AR before it becomes useless there.

I'm sort-of lost here, too, unfortunately.  I am sure we can agree that
context information sometimes has freshness requirements, but I don't
see how predictive vs. reactive affects that statement.  Of course, with
predictive transfers, it will be easier to meet the freshness requirement.

Regards,
Charlie P.